/* HTTP API 用户业务模块
 * Copyright 2020, CAIMEI365
 * Date   2020/06/16
 * auther ZHJY
 */
var UserApi = {
        PostLoginAccount : function (params,callback) {//新系统登录
            Http.AjaxService({ url:'/user/login', type:'post', data:params, json:false})
                .then(function(res){
                    callback(res)
                });
        },
        ToWechatLogin : function (params,callback) {//获取扫码登录参数
            Http.AjaxService({ url:'/user/toWechatLogin', type:'get', data:params, json:false})
                .then(function(res){
                    callback(res)
                });
        },
        ToWechatPolling : function (params,callback) {//扫码登录轮询
            Http.AjaxService({ url:'user/polling', type:'get', data:params, json:false})
                .then(function(res){
                    callback(res)
                });
        },
        ClubRegister: function (params, callback) {//机构注册
            Http.AjaxService({ url:'/club/common', type:'post', data:params, json:false})
                .then(function(res){
                    callback(res);
                });
        },
        getRegisterMobileCode: function (params, callback) {//机构注册获取短信验证码
            Http.AjaxService({ url:'/user/activateCodeByReg', type:'get', data:params, json:false})
                .then(function(res){
                    callback(res);
                });
        },
        ClubUpgrade : function(params,callback) {//机构注册升级信息
            Http.AjaxService({ url:'/club/upgrade', type:'post', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        FindCompanyPwd : function(params,callback) {//用户找回密码
            Http.AjaxService({ url:'/user/findCompanyPwd', type:'post', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        GetMyPcCenterInfo : function(params,callback) {//机构个人中心数据查询
            Http.AjaxService({ url:'/pcCenter/myPcCenter', type:'get', data:params, json:true})
            .then(function(res){
                callback(res);
            });
        },
        UserPuploadAvatar : function(params,callback) {//机构个人中心头像更新
            Http.AjaxService({ url:'/user/uploadAvatar ', type:'post', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        GetMyOperationList : function(params,callback) {//查询机构运营人员管理列表
            Http.AjaxService({ url:'/operation/list', type:'get', data:params, json:true})
                .then(function(res){
                    callback(res);
                });
        },
        SupplierRgister:function(params, callback){//供应商注册
            Http.AjaxService({url: '/supplier/register', type: 'post', data: params, json: false})
            .then(function (res) {
                callback(res)
            });
        },
        SupplierShopInfo:function(params, callback){//供应商修改申请信息查询
            Http.AjaxService({url: '/supplier/shopInfo', type: 'get', data: params, json: false})
            .then(function (res) {
                callback(res)
            });
        },
        UpdateCompanyInfo: function (params, callback) {//供应商修改申请信息保存
            Http.AjaxService({ url:'/supplier/updateCompanyInfo', type:'post', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        quickConsultation : function(params,callback) {//入驻咨询
            Http.AjaxService({ url:'/club/advisory', type:'post', data:params, json:false})
            .then(function(res){
                callback(res)
            });
        },
        BindOrganization : function(params,callback) { //扫码微信绑定机构
            Http.AjaxService({ url:'/user/bindOrganization', type:'post', data:params, json:false})
            .then(function(res){
                callback(res)
            });
        },
};